Base Module: Description Class Reference
Author: Steinberg

Base Module VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Description Class Reference

The description of one single command-line option. More...

`#include <fcommandline.h>`

Inheritance diagram for Description:

## Public Member Functions
| Description (const std::string &name, const std::string &help, const std::string &valueType)
| Construct a Description.

## Public Attributes
std::string | mHelp
| The help string for this option.
std::string | mType
| The type of this option (kBool, kString).

## Static Public Attributes
static const std::string | kBool = "bool"
static const std::string | kString = "string"

## Detailed Description

The description of one single command-line option.

Normally you rarely use a Description directly.
In most cases you will use the Descriptions::addOptions (const std::string&) method to create and add descriptions.

## Constructor & Destructor Documentation

Description | ( | const std::string & | name,
|  | const std::string & | help,
|  | const std::string & | valueType
| ) |  |

Construct a Description.

In most cases you will use the Descriptions::addOptions (const std::string&) method to create and add descriptions.

Parameters

  [in] | name | of the option.
  [in] | help | a help description for this option.
  [out] | valueType | Description::kBool or Description::kString.

## Member Data Documentation

std::string mHelp

The help string for this option.

std::string mType

The type of this option (kBool, kString).

const std::string kBool = "bool"
| static

const std::string kString = "string"
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.